Skip to main content
DocsPlatformsAPI ReferenceAI & Integrations
Comment Automations

List Comment Automations

GET/v1/comment-automations/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

accountId?string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/comment-automations/"
{
  "success": true,
  "automations": [
    {
      "id": "string",
      "accountId": "string",
      "platform": "string",
      "name": "string",
      "status": "active",
      "trigger": {
        "postScope": "any",
        "platformPostId": "string",
        "postPermalink": "string",
        "postId": "string",
        "keywords": [
          "string"
        ],
        "matchMode": "exact",
        "excludeKeywords": [
          "string"
        ]
      },
      "actions": {
        "publicReplies": [
          "string"
        ],
        "dmMessage": "string"
      },
      "stats": {
        "triggered": 0,
        "succeeded": 0,
        "failed": 0,
        "lastRunAt": "2019-08-24T14:15:22Z",
        "lastError": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "success": true,
  "message": "string"
}